n, m = map(int, input().split())

lii = input().split()
lii2 = set(lii)
lii3 = []
lii4 = []
for i in lii2:
                if lii.count(i) >= n:
                                lii3.append(i)
                                print(lii.count(i))
                                print(i)
                                print()
print(len(lii3))
print(lii3)


